Loading...
Searching...
No Matches
AVProbeData Struct Reference

This structure contains the data a format has to probe a file. More...

`#include <libavformat/avformat.h>`

## Data Fields

const char * | filename
unsigned char * | buf
| Buffer must have AVPROBE_PADDING_SIZE of extra allocated bytes filled with zero.
int | buf_size
| Size of buf except extra allocated bytes.
const char * | mime_type
| mime_type, when known.

## Detailed Description

This structure contains the data a format has to probe a file.

Definition at line 451 of file avformat.h.

## Field Documentation

## filename

const char* AVProbeData::filename

Definition at line 452 of file avformat.h.

## buf

unsigned char* AVProbeData::buf

Buffer must have AVPROBE_PADDING_SIZE of extra allocated bytes filled with zero.

Definition at line 453 of file avformat.h.

## buf_size

int AVProbeData::buf_size

Size of buf except extra allocated bytes.

Definition at line 454 of file avformat.h.

## mime_type

const char* AVProbeData::mime_type

mime_type, when known.

Definition at line 455 of file avformat.h.

The documentation for this struct was generated from the following file:

- libavformat/avformat.h